#!/bin/env bash

# File to write the path
temp="$1"

# if the clipboard is plain/text, we assume it's a path
# otherwise, we assume it's a mime-type to be copied
if wl-paste --list-types | grep -qv '^text/plain$'; then
    echo "Non-text type."
else
    echo "Text type."
fi
